@ECHO off
REM ****************************************************************
REM *   Copyright 2019, David Knarr, Studio 1 Productions
REM *   http://www.studio1productions.com
REM *   Version 7.0.6     Version Date 08-02-2019
REM *   This program is Free, No Charge, Costs Nothing...
REM ****************************************************************
::

::
:MENU
SETLOCAL
:: Set Variables for CS5, CS5.5 CS6, CC and CC2014 program directories
SET PP5="C:\Program Files\Adobe\Adobe Premiere Pro CS5"
SET PP55="C:\Program Files\Adobe\Adobe Premiere Pro CS5.5"
SET PP6="C:\Program Files\Adobe\Adobe Premiere Pro CS6"
SET AF6="C:\Program Files\Adobe\Adobe After Effects CS6"
::  Set variables for CC profram directories
SET PPCC="C:\Program Files\Adobe\Adobe Premiere Pro CC"
SET AMECC="C:\Program Files\Adobe\Adobe Media Encoder CC"
SET AECC="C:\Program Files\Adobe\Adobe After Effects CC"
SET SGCC="C:\Program Files\Adobe\Adobe SpeedGrade CC"
::  Set variables for CC 2014 profram directories
SET PPCC4="C:\Program Files\Adobe\Adobe Premiere Pro CC 2014"
SET AMECC4="C:\Program Files\Adobe\Adobe Media Encoder CC 2014"
SET AECC4="C:\Program Files\Adobe\Adobe After Effects CC 2014"
SET SGCC4="C:\Program Files\Adobe\Adobe SpeedGrade CC 2014"
SET PLCC4="C:\Program Files\Adobe\Adobe Prelude CC 2014"
::
::  Set variables for CC 2015 profram directories
SET PPCC5="C:\Program Files\Adobe\Adobe Premiere Pro CC 2015"
SET AMECC5="C:\Program Files\Adobe\Adobe Media Encoder CC 2015"
SET AECC5="C:\Program Files\Adobe\Adobe After Effects CC 2015"
SET SGCC5="C:\Program Files\Adobe\Adobe SpeedGrade CC 2015"
SET PLCC5="C:\Program Files\Adobe\Adobe Prelude CC 2015"








::
::
::----------------------------------------------------------------------------
::
CLS
COLOR 17
CLS
ECHO         CUDA.BAT - Program Version 7.0.6 Program Date 08-02-19
ECHO            Copyright 2019, Studio 1 Productions, David Knarr
ECHO.                      
ECHO                 For Adobe CS5, CS5.5, CS6, CC, 2014
ECHO               Programs that are installed on the C Drive.
ECHO.
ECHO        Exit from all Adobe Programs before running this program.
ECHO             For this program to run correctly, you have MUST
ECHO      RIGHT click on this program and selected Run as Administrator.
ECHO.    
ECHO                      1) Adobe CC 2014 (Creative Cloud) Programs
ECHO                      2) Adobe CC (Creative Cloud) Programs
ECHO.
ECHO                      3) Adobe Premiere Pro CS6
ECHO                      4) Adobe After Effect CS6
ECHO.
ECHO                      5) Adobe Premiere Pro CS5.5
ECHO                      6) Adobe Premiere Pro CS5
ECHO.
ECHO                      7) Exit this Program
ECHO.
ECHO.
::
CHOICE /C 123456789 /M "Enter your Choice 1, 2, 3, 4, 5, 6 or 7" /N
::
IF ERRORLEVEL 9  GOTO List
IF ERRORLEVEL 8  GOTO Menu
IF ERRORLEVEL 7  GOTO END
IF ERRORLEVEL 6  GOTO CS5
IF ERRORLEVEL 5  GOTO CS55
IF ERRORLEVEL 4  GOTO AE6
IF ERRORLEVEL 3  GOTO CS6
IF ERRORLEVEL 2  GOTO CCMENU
IF ERRORLEVEL 1  GOTO CC4MENU
::
::
::

REM ***************************************************************************

:: Sub Menu for CC 2014 (Creative Cloud) Programs
::
:CC4MENU

CLS
ECHO       Please select each of the programs you have installed.
ECHO    NOTE:  After each selection you will return to the Main Menu
ECHO         Just select Adobe CC 2014 (Creative Cloud) Programs again
ECHO          and return to this menu to select the next program.
ECHO.
ECHO                   1) Adobe Premiere Pro CC 2014
ECHO                   2) Adobe After Effects CC 2014
ECHO                   3) Adobe Media Encoder CC 2014
ECHO                   4) Adobe SpeedGrade CC 2014
ECHO                   5) Adobe Prelude CC 2014
ECHO.
ECHO                   6) Return to Main Menu
ECHO.

ECHO.
CHOICE /C 123456 /M "Enter your Choice 1, 2, 3, 4, 5 or 6" /N
::
IF ERRORLEVEL 6  GOTO Menu
IF ERRORLEVEL 5  GOTO CC4PL
IF ERRORLEVEL 4  GOTO CC4SG
IF ERRORLEVEL 3  GOTO CC4AME
IF ERRORLEVEL 2  GOTO CC4AE
IF ERRORLEVEL 1  GOTO CC4PR
::
REM ***************************************************************************

:: Sub Menu for CC (Creative Cloud) Programs
::
:CCMENU

CLS
ECHO       Please select each of the programs you have installed.
ECHO    NOTE:  After each selection you will return to the Main Menu
ECHO         Just select Adobe CC (Creative Cloud) Programs again
ECHO          and return to this menu to select the next program.
ECHO.
ECHO                   1) Adobe Premiere Pro CC
ECHO                   2) Adobe After Effects CC
ECHO                   3) Adobe Media Encoder CC
ECHO                   4) Adobe SpeedGrade CC
ECHO.
ECHO                   5) Return to Main Menu
ECHO.

ECHO.
CHOICE /C 12345 /M "Enter your Choice 1, 2, 3, 4 or 5" /N
::

IF ERRORLEVEL 5  GOTO Menu
IF ERRORLEVEL 4  GOTO CCSG
IF ERRORLEVEL 3  GOTO CCAME
IF ERRORLEVEL 2  GOTO CCAE
IF ERRORLEVEL 1  GOTO CCPR
::

REM **************************************************************************
REM                                                                                      
::           Premiere Pro CS5 
:CS5
CLS
:: Check to see if Premiere CS5 can be located
:: If it is not there goto Error Message 1
::
if exist %PP5% (echo yes) else (GOTO ERRORMSG1)
::
:: Premiere CS5 is installed
:: Change to the Premiere CS5 directory
CD \
CD C:\Program Files\Adobe\Adobe Premiere Pro CS5
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::
::
REM **************************************************************************
REM                                                                                    
:: Premiere Pro CS5.5 
:CS55
CLS
:: Check to see if Premiere CS5.5 can be located
:: If it is not there goto Error Message 2
::
if exist %PP55% (echo yes) else (GOTO ERRORMSG2)
::
:: Premiere CS5.5 is installed
:: Change to the Premiere CS5.5 directory
CD \
CD C:\Program Files\Adobe\Adobe Premiere Pro CS5.5
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::
::
REM *******************************************************************
REM                                                                                      
::            Premiere Pro CS6 
:CS6
CLS
:: Check to see if Premiere CS6 can be located
:: If it is not there goto Error Message 3
::
if exist %PP6% (echo yes) else (GOTO ERRORMSG3)
::
:: Premiere CS6 is installed
:: Change to the Premiere CS6 directory
CD \
CD C:\Program Files\Adobe\Adobe Premiere Pro CS6
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::
::
REM *******************************************************************
REM              After Effects CS6 
:AE6
CLS
:: Check to see if After Effects CS6 can be located
:: If it is not there goto Error Message 4
IF exist %AF6% (echo yes) else (GOTO ERRORMSG4)
::
:: After Effects CS6 is installed
:: Change to the After Effects CS6 directory
CD \
CD C:\Program Files\Adobe\Adobe After Effects CS6\Support Files
:: Create a copy of the origianl raytracer_supported_cards.txt file
:: if one does not exist. We will call the original file cuda.txt now
IF not EXIST raytracer_supported_cards.bak  COPY /y raytracer_supported_cards.txt raytracer_supported_cards.bak
:: Delete the raytracer_supported_cards.txt
DEL raytracer_supported_cards.txt /F
SET cuda=raytracer_supported_cards.txt
GOTO BuildFile
::
::
REM *******************************************************************
REM             Premiere Pro CC 
:CCPR
CLS
:: Check to see if Premiere CC can be located
:: If it is not there goto Error Message 5
::
if exist %PPCC% (echo yes) else (GOTO ERRORMSG5)
::
:: Premiere CC is installed
:: Change to the Premiere CC directory
CD \
CD C:\Program Files\Adobe\Adobe Premiere Pro CC
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::
REM *******************************************************************
REM             Premiere Pro CC 2014
:CC4PR
CLS
:: Check to see if Premiere CC 2014 can be located
:: If it is not there goto Error Message 10
::
if exist %PPCC4% (echo yes) else (GOTO ERRORMSG10)
::
:: Premiere CC is installed
:: Change to the Premiere CC 2014 directory
CD \
CD C:\Program Files\Adobe\Adobe Premiere Pro CC 2014
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::


REM *******************************************************************
REM    After Effects CC 
:CCAE
CLS
:: Check to see if After Effects CC can be located
:: If it is not there goto Error Message 6
::
IF exist %AECC% (echo yes) else (GOTO ERRORMSG6)
::
:: After Effects CC is installed
:: Change to the After Effects CC directory
CD \
CD C:\Program Files\Adobe\Adobe After Effects CC\Support Files
:: Create a copy of the origianl raytracer_supported_cards.txt file
:: if one does not exist. We will call the original file cuda.txt now
IF not EXIST raytracer_supported_cards.bak  COPY /y raytracer_supported_cards.txt raytracer_supported_cards.bak
:: Delete the raytracer_supported_cards.txt
DEL raytracer_supported_cards.txt /F
SET cuda=raytracer_supported_cards.txt
GOTO BuildFile
::
::

REM *******************************************************************
REM    After Effects CC 2014
:CC4AE
CLS
:: Check to see if After Effects CC 2014 can be located
:: If it is not there goto Error Message 11
::
IF exist %AECC4% (echo yes) else (GOTO ERRORMSG11)
::
:: After Effects CC 2014 is installed
:: Change to the After Effects CC directory
CD \
CD C:\Program Files\Adobe\Adobe After Effects CC 2014\Support Files
:: Create a copy of the origianl raytracer_supported_cards.txt file
:: if one does not exist. We will call the original file cuda.txt now
IF not EXIST raytracer_supported_cards.bak  COPY /y raytracer_supported_cards.txt raytracer_supported_cards.bak
:: Delete the raytracer_supported_cards.txt
DEL raytracer_supported_cards.txt /F
SET cuda=raytracer_supported_cards.txt
GOTO BuildFile
::
::
::
REM *******************************************************************
REM             Adobe Media Encorder CC 2014
:CC4AME
CLS
::  Check to see if Adobe Media Encoder CC 2014 is installed.
::  If it is not there goto Error Message 12
::
if exist %AMECC4% (echo yes) else (GOTO ERRORMSG12)
::
:: Adobe Media Encoder CC 2014 is Installed
:: Change to the Adobe Media Encoder CC directory
CD \
CD C:\Program Files\Adobe\Adobe Media Encoder CC 2014
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::


::
REM *******************************************************************
REM             SpeedGrade CC
:CCSG
CLS
::  Check to see if Adobe SpeedGrade CC is installed.
::  If it is not there goto Error Message 8
::
if exist %SGCC% (echo yes) else (GOTO ERRORMSG8)
::
:: Adobe SpeedGrade CC is Installed
:: Change to the Adobe SpeedGrade CC directory
CD \
CD C:\Program Files\Adobe\Adobe SpeedGrade CC
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::

::
REM *******************************************************************
REM             SpeedGrade CC 2014
:CC4SG
CLS
::  Check to see if Adobe SpeedGrade CC 2014 is installed.
::  If it is not there goto Error Message 13
::
if exist %SGCC4% (echo yes) else (GOTO ERRORMSG13)
::
:: Adobe SpeedGrade CC 2014 is Installed
:: Change to the Adobe SpeedGrade CC directory
CD \
CD C:\Program Files\Adobe\Adobe SpeedGrade CC 2014
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile
::
::

::
REM *******************************************************************
REM             Prelude CC 2014
:CC4PL
CLS
::  Check to see if Adobe Prelude CC 2014 is installed.
::  If it is not there goto Error Message 14
::
if exist %PLCC4% (echo yes) else (GOTO ERRORMSG14)
::
:: Adobe Prelude CC 2014 is Installed
:: Change to the Adobe Prelude CC 2014 directory
CD \
CD C:\Program Files\Adobe\Adobe Prelude CC 2014
:: Create a copy of the origianl cuda_supported_cards.txt file
:: if one does not exist. We will call the original file cuda_supported_cards.bak now
IF not EXIST cuda_supported_cards.bak  COPY /y cuda_supported_cards.txt cuda_supported_cards.bak
:: Delete the cuda_supported_cards.txt
DEL cuda_supported_cards.txt /F
SET cuda=cuda_supported_cards.txt
GOTO BuildFile

::
::
REM ************************************************************************
REM        Create the cuda_supported_cards.txt file on the C: drive
:List
CLS
CD \
SET cuda=cuda_supported_cards.txt
GOTO BuildFile




::
::
REM *******************************************************************

:BuildFile
CLS
:: Now lets build a new cuda_supported_cards.txt or raytracer_supported_cards.txt file
ECHO GeForce 9400 GT>> %cuda%
ECHO GeForce 9500 GT>> %cuda%
ECHO GeForce 9600 GSO>> %cuda%
ECHO GeForce 9600 GT>> %cuda%
ECHO GeForce 9800 GT>> %cuda%
ECHO GeForce 9800 GTX+>> %cuda%
ECHO GeForce 9800 GT2>> %cuda%
ECHO GeForce GT 120>> %cuda%
ECHO GeForce GT 130>> %cuda%
ECHO GeForce GTS 150>> %cuda%
ECHO GeForce GT 220>> %cuda%
ECHO GeForce GT 230>> %cuda%
ECHO GeForce GT 240>> %cuda%
ECHO GeForce GTS 240>> %cuda%
ECHO GeForce GTS 250>> %cuda%
ECHO GeForce GTX 260>> %cuda%
ECHO GeForce GTX 275>> %cuda%
ECHO GeForce GTX 280>> %cuda%
ECHO GeForce GTX 285>> %cuda%
ECHO GeForce GTX 295>> %cuda%
ECHO GeForce GT 320>> %cuda%
ECHO GeForce GT 330>> %cuda%
ECHO GeForce GT 340>> %cuda%
ECHO GeForce GT 420>> %cuda%
ECHO GeForce GT 430>> %cuda%
ECHO GeForce GT 440>> %cuda%
ECHO GeForce GTS 450>> %cuda%
ECHO GeForce GTX 460 SE>> %cuda%
ECHO GeForce GTX 460>> %cuda%
ECHO GeForce GTX 465>> %cuda%
ECHO GeForce GTX 470>> %cuda%
ECHO GeForce GTX 480>> %cuda%
ECHO GeForce GT 520>> %cuda%
ECHO GeForce GT 530>> %cuda%
ECHO GeForce GT 545>> %cuda%
ECHO GeForce GT 545 DDR3>> %cuda%
ECHO GeForce GT 545 GDDR5>> %cuda%
ECHO GeForce GTX 550 Ti>> %cuda%
ECHO GeForce GTX 550>> %cuda%
ECHO GeForce GTX 555>> %cuda%
ECHO GeForce GTX 560 Ti>> %cuda%
ECHO GeForce GTX 560>> %cuda%
ECHO GeForce GTX 570>> %cuda%
ECHO GeForce GTX 580>> %cuda%
ECHO GeForce GTX 590>> %cuda%
ECHO GeForce GT 605>> %cuda%
ECHO GeForce GT 610>> %cuda%
ECHO GeForce GT 620>> %cuda%
ECHO GeForce GT 630>> %cuda%
ECHO GeForce GT 640>> %cuda%
ECHO GeForce GT 645>> %cuda%
ECHO GeForce GTX 650>> %cuda%
ECHO GeForce GTX 650 Ti>> %cuda%
ECHO GeForce GTX 650 Ti BOOST>> %cuda%
ECHO GeForce GTX 650 Ti Boost>> %cuda%
ECHO GeForce GTX 660>> %cuda%
ECHO GeForce GTX 660 Ti>> %cuda%
ECHO GeForce GTX 670>> %cuda%
ECHO GeForce GTX 680>> %cuda%
ECHO GeForce GTX 690>> %cuda%
ECHO GeForce GT 720>> %cuda%
ECHO GeForce GT 730>> %cuda%
ECHO GeForce GT 740>> %cuda%
ECHO GeForce GTX 745>> %cuda%
ECHO GeForce GTX 750>> %cuda%
ECHO GeForce GTX 750 Ti>> %cuda%
ECHO GeForce GTX 760>> %cuda%
ECHO GeForce GTX 760 192-bit>> %cuda%
ECHO GeForce GTX 760 (192-bit)>> %cuda%
ECHO GeForce GTX 760 Ti>> %cuda%
ECHO GeForce GTX 770>> %cuda%
ECHO GeForce GTX 780>> %cuda%
ECHO GeForce GTX 780 Ti>> %cuda%
ECHO GeForce GTX 950>> %cuda%
ECHO GeForce GTX 960>> %cuda%
ECHO GeForce GTX 970>> %cuda%
ECHO GeForce GTX 980>> %cuda%
ECHO GeForce GTX 980 Ti>> %cuda%
ECHO GeForce GT 1030>> %cuda%
ECHO GeForce GTX 1050>> %cuda%
ECHO GeForce GTX 1050 Ti>> %cuda%
ECHO GeForce GTX 1060>> %cuda%
ECHO GeForce GTX 1060 6GB>> %cuda%
ECHO GeForce GTX 1070>> %cuda%
ECHO GeForce GTX 1070 Ti>> %cuda%
ECHO GeForce GTX 1080>> %cuda%
ECHO GeForce GTX 1080 Ti>> %cuda%
ECHO GeForce GTX 1650>> %cuda%
ECHO GeForce GTX 1660>> %cuda%
ECHO GeForce GTX 1660 Ti>> %cuda%
ECHO GeForce GTX TITAN>> %cuda%
ECHO GeForce GTX TITAN Black>> %cuda%
ECHO GeForce GTX TITAN X>> %cuda%
ECHO GeForce GTX TITAN XP>> %cuda%
ECHO GeForce GTX TITAN Z>> %cuda%
ECHO GeForce NVIDIA TITAN X>> %cuda%
ECHO GeForce NVIDIA TITAN XP>> %cuda%
ECHO GeForce RTX 2060>> %cuda%
ECHO GeForce RTX 2060 Super>> %cuda%
ECHO GeForce RTX 2070>> %cuda%
ECHO GeForce RTX 2070 Super>> %cuda%
ECHO GeForce RTX 2080>> %cuda%
ECHO GeForce RTX 2080 Super>> %cuda%
ECHO GeForce RTX 2080 Ti>> %cuda%
ECHO NVIDIA TITAN X>> %cuda%
ECHO NVIDIA TITAN XP>> %cuda%
ECHO Quadro 600>> %cuda%
ECHO Quadro 2000>> %cuda%
ECHO Quadro 2000D>> %cuda%
ECHO Quadro 4000>> %cuda%
ECHO Quadro 5000>> %cuda%
ECHO Quadro 6000>> %cuda%
ECHO Quadro CX>> %cuda%
ECHO Quadro FX 3700>> %cuda%
ECHO Quadro FX 3800>> %cuda%
ECHO Quadro FX 4800>> %cuda%
ECHO Quadro FX 5600>> %cuda%
ECHO Quadro FX 5800>> %cuda%
ECHO Quadro K420>> %cuda%
ECHO Quadro K600>> %cuda%
ECHO Quadro K620>> %cuda%
ECHO Quadro K1200>> %cuda%
ECHO Quadro K2000>> %cuda%
ECHO Quadro K2000D>> %cuda%
ECHO Quadro K2200>> %cuda%
ECHO Quadro K4000>> %cuda%
ECHO Quadro K4200>> %cuda%
ECHO Quadro K5000>> %cuda%
ECHO Quadro K5200>> %cuda%
ECHO Quadro M520>> %cuda%
ECHO Quadro M620>> %cuda%
ECHO Quadro M1200>> %cuda%
ECHO Quadro M2200>> %cuda%
ECHO Quadro M3000>> %cuda%
ECHO Quadro M4000>> %cuda%
ECHO Quadro M5500>> %cuda%
ECHO Quadro M6000>> %cuda%
ECHO Quadro GP100>> %cuda%
ECHO Quadro P400>> %cuda%
ECHO Quadro P600>> %cuda%
ECHO Quadro P1000>> %cuda%
ECHO Quadro P2000>> %cuda%
ECHO Quadro P3000>> %cuda%
ECHO Quadro P4000>> %cuda%
ECHO Quadro P5000>> %cuda%
ECHO Quadro P6000>> %cuda%
ECHO Quadro 1000M>> %cuda%
ECHO Quadro 2000M>> %cuda%
ECHO Quadro 3000M>> %cuda%
ECHO Quadro 4000M>> %cuda%
ECHO Quadro 5000M>> %cuda%
ECHO Quadro 5010M>> %cuda%
ECHO Quadro FX 880M>> %cuda%
ECHO Quadro FX 1800M>> %cuda%
ECHO Quadro FX 2800M>> %cuda%
ECHO Quadro FX 3700M>> %cuda%
ECHO Quadro FX 3800M>> %cuda%
ECHO Quadro K500M>> %cuda%
ECHO Quadro K510M>> %cuda%
ECHO Quadro K600M>> %cuda%
ECHO Quadro K610M>> %cuda%
ECHO Quadro K1000M>> %cuda%
ECHO Quadro K1100M>> %cuda%
ECHO Quadro K2000M>> %cuda%
ECHO Quadro K2100M>> %cuda%
ECHO Quadro K3000M>> %cuda%
ECHO Quadro K3100M>> %cuda%
ECHO Quadro K4000M>> %cuda%
ECHO Quadro K4100M>> %cuda%
ECHO Quadro K5000M>> %cuda%
ECHO Quadro K5100M>> %cuda%
ECHO Quadro M500M>> %cuda%
ECHO Quadro M600M>> %cuda%
ECHO Quadro M1000M>> %cuda%
ECHO Quadro M2000M>> %cuda%
ECHO Quadro M2200M>> %cuda%
ECHO Quadro M3000M>> %cuda%
ECHO Quadro M4000M>> %cuda%
ECHO Quadro M5000M>> %cuda%
ECHO Quadro M6000M>> %cuda%
ECHO GeForce G110M>> %cuda%
ECHO GeForce GT 130M>> %cuda%
ECHO GeForce GTS 150M>> %cuda%
ECHO GeForce GTS 160M>> %cuda%
ECHO GeForce G210M>> %cuda%
ECHO GeForce GT 230M>> %cuda%
ECHO GeForce GT 240M>> %cuda%
ECHO GeForce GTS 250M>> %cuda%
ECHO GeForce GTS 260M>> %cuda%
ECHO GeForce GTX 280M>> %cuda%
ECHO GeForce GTX 285M>> %cuda%
ECHO GeForce 310M>> %cuda%
ECHO GeForce GT 325M>> %cuda%
ECHO GeForce GT 330M>> %cuda%
ECHO GeForce GT 335M>> %cuda%
ECHO GeForce GTS 350M>> %cuda%
ECHO GeForce GTS 360M>> %cuda%
ECHO GeForce GT 415M>> %cuda%
ECHO GeForce GT 420M>> %cuda%
ECHO GeForce GT 425M>> %cuda%
ECHO GeForce GT 435M>> %cuda%
ECHO GeForce GT 445M>> %cuda%
ECHO GeForce GTX 460M>> %cuda%
ECHO GeForce GTX 470M>> %cuda%
ECHO GeForce GTX 480M>> %cuda%
ECHO GeForce GTX 485M>> %cuda%
ECHO GeForce GT 520M>> %cuda%
ECHO GeForce GT 520MX>> %cuda%
ECHO GeForce GT 525M>> %cuda%
ECHO GeForce GT 540M>> %cuda%
ECHO GeForce GT 550M>> %cuda%
ECHO GeForce GT 555M>> %cuda%
ECHO GeForce GTX 560M>> %cuda%
ECHO GeForce GTX 570M>> %cuda%
ECHO GeForce GTX 580M>> %cuda%
ECHO GeForce 610M>> %cuda%
ECHO GeForce GT 620M>> %cuda%
ECHO GeForce GT 625M>> %cuda%
ECHO GeForce GT 630M>> %cuda%
ECHO GeForce GT 635M>> %cuda%
ECHO GeForce GT 640M>> %cuda%
ECHO GeForce GT 640M LE>> %cuda%
ECHO GeForce GT 645M>> %cuda%
ECHO GeForce GT 650M>> %cuda%
ECHO GeForce GTX 660M>> %cuda%
ECHO GeForce GTX 670M>> %cuda%
ECHO GeForce GTX 675M>> %cuda%
ECHO GeForce GTX 680M>> %cuda%
ECHO GeForce GTX 670MX>> %cuda%
ECHO GeForce GTX 675MX>> %cuda%
ECHO GeForce GTX 680MX>> %cuda%
ECHO GeForce 710M>> %cuda%
ECHO GeForce GT 720M>> %cuda%
ECHO GeForce GT 730M>> %cuda%
ECHO GeForce GT 735M>> %cuda%
ECHO GeForce GT 740M>> %cuda%
ECHO GeForce GT 745M>> %cuda%
ECHO GeForce GT 750M>> %cuda%
ECHO GeForce GT 755M>> %cuda%
ECHO GeForce GTX 760M>> %cuda%
ECHO GeForce GTX 765M>> %cuda%
ECHO GeForce GTX 770M>> %cuda%
ECHO GeForce GTX 780M>> %cuda%
ECHO GeForce 800M>> %cuda%
ECHO GeForce 820M>> %cuda%
ECHO GeForce 830M>> %cuda%
ECHO GeForce 840M>> %cuda%
ECHO GeForce GTX 850M>> %cuda%
ECHO GeForce GTX 860M>> %cuda%
ECHO GeForce GTX 870M>> %cuda%
ECHO GeForce GTX 880M>> %cuda%
ECHO GeForce 910M>> %cuda%
ECHO GeForce 920M>> %cuda%
ECHO GeForce 930M>> %cuda%
ECHO GeForce 940M>> %cuda%
ECHO GeForce 945M>> %cuda%
ECHO GeForce GTX 950M>> %cuda%
ECHO GeForce GTX 960M>> %cuda%
ECHO GeForce GTX 965M>> %cuda%
ECHO GeForce GTX 970M>> %cuda%
ECHO GeForce GTX 980M>> %cuda%
ECHO GeForce 9800M GTX>> %cuda%
ECHO GeForce G110m>> %cuda%
ECHO GeForce GT 130m>> %cuda%
ECHO GeForce GTS 150m>> %cuda%
ECHO GeForce GTS 160m>> %cuda%
ECHO GeForce G210m>> %cuda%
ECHO GeForce GT 230m>> %cuda%
ECHO GeForce GT 240m>> %cuda%
ECHO GeForce GTS 250m>> %cuda%
ECHO GeForce GTS 260m>> %cuda%
ECHO GeForce GTX 280m>> %cuda%
ECHO GeForce GTX 285m>> %cuda%
ECHO GeForce 310m>> %cuda%
ECHO GeForce GT 325m>> %cuda%
ECHO GeForce GT 330m>> %cuda%
ECHO GeForce GT 335m>> %cuda%
ECHO GeForce GTS 350m>> %cuda%
ECHO GeForce GTS 360m>> %cuda%
ECHO GeForce GT 415m>> %cuda%
ECHO GeForce GT 420m>> %cuda%
ECHO GeForce GT 425m>> %cuda%
ECHO GeForce GT 435m>> %cuda%
ECHO GeForce GT 445m>> %cuda%
ECHO GeForce GTX 460m>> %cuda%
ECHO GeForce GTX 470m>> %cuda%
ECHO GeForce GTX 480m>> %cuda%
ECHO GeForce GTX 485m>> %cuda%
ECHO GeForce GT 520m>> %cuda%
ECHO GeForce GT 520mx>> %cuda%
ECHO GeForce GT 525m>> %cuda%
ECHO GeForce GT 540m>> %cuda%
ECHO GeForce GT 550m>> %cuda%
ECHO GeForce GT 555m>> %cuda%
ECHO GeForce GTX 560m>> %cuda%
ECHO GeForce GTX 570m>> %cuda%
ECHO GeForce GTX 580m>> %cuda%
ECHO GeForce 610m>> %cuda%
ECHO GeForce GT 620m>> %cuda%
ECHO GeForce GT 625m>> %cuda%
ECHO GeForce GT 630m>> %cuda%
ECHO GeForce GT 635m>> %cuda%
ECHO GeForce GT 640m>> %cuda%
ECHO GeForce GT 640m le>> %cuda%
ECHO GeForce GT 645m>> %cuda%
ECHO GeForce GT 650m>> %cuda%
ECHO GeForce GTX 660m>> %cuda%
ECHO GeForce GTX 670m>> %cuda%
ECHO GeForce GTX 675m>> %cuda%
ECHO GeForce GTX 680m>> %cuda%
ECHO GeForce GTX 670mx>> %cuda%
ECHO GeForce GTX 675mx>> %cuda%
ECHO GeForce GTX 680mx>> %cuda%
ECHO GeForce 710m>> %cuda%
ECHO GeForce GT 720m>> %cuda%
ECHO GeForce GT 730m>> %cuda%
ECHO GeForce GT 735m>> %cuda%
ECHO GeForce GT 740m>> %cuda%
ECHO GeForce GT 745m>> %cuda%
ECHO GeForce GT 750m>> %cuda%
ECHO GeForce GT 755m>> %cuda%
ECHO GeForce GTX 760m>> %cuda%
ECHO GeForce GTX 765m>> %cuda%
ECHO GeForce GTX 770m>> %cuda%
ECHO GeForce GTX 780m>> %cuda%
ECHO GeForce 800m>> %cuda%
ECHO GeForce 820m>> %cuda%
ECHO GeForce 830m>> %cuda%
ECHO GeForce 840m>> %cuda%
ECHO GeForce GTX 850m>> %cuda%
ECHO GeForce GTX 860m>> %cuda%
ECHO GeForce GTX 870m>> %cuda%
ECHO GeForce GTX 880m>> %cuda%
ECHO GeForce 910m>> %cuda%
ECHO GeForce 920m>> %cuda%
ECHO GeForce 930m>> %cuda%
ECHO GeForce 940m>> %cuda%
ECHO GeForce 945m>> %cuda%
ECHO GeForce GTX 950m>> %cuda%
ECHO GeForce GTX 960m>> %cuda%
ECHO GeForce GTX 965m>> %cuda%
ECHO GeForce GTX 970m>> %cuda%
ECHO GeForce GTX 980m>> %cuda%
ECHO GeForce 9800m gtx>> %cuda%

::

IF %cuda%==cuda_supported_cards.txt  FINDSTR /C:"GeForce GTX 760" cuda_supported_cards.txt
IF ERRORLEVEL 1  GOTO ERRORMSG9

IF %cuda%==raytracer_supported_cards.txt  FINDSTR /C:"GeForce GTX 760" raytracer_supported_cards.txt
IF ERRORLEVEL 1  GOTO ERRORMSG9

:: Update Completed
::----------------------------------------------------------------------------
::
:UPDATE
CLS
COLOR 17
ECHO.
ECHO.
ECHO The CUDA Supported Card file has been updated.
ECHO.
ECHO.
ECHO. 
ECHO Your are now ready to set your program for GPU Acceleration
ECHO.
ECHO.  
ECHO.
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
:ERRORMSG1
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe Premiere Pro CS5 at
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CS5
ECHO.
ECHO This means:
ECHO 1. You have a different version of Premiere installed and NOT Premiere CS5
ECHO 2. Premiere 5 is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Premiere Pro CS5
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Premiere was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
:ERRORMSG2
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe Premiere Pro CS55.5 at
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CS5.5
ECHO.
ECHO This means:
ECHO 1. You have a different version of Premiere installed.
ECHO 2. Premiere 5.5 is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Premiere Pro CS5.5
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Premiere was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
:ERRORMSG3
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Premiere Pro CS6 at
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CS6
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of Premiere installed.
ECHO.
ECHO 2. Premiere CS6 is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Premiere Pro CS6
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Premiere was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
::
:ERRORMSG4
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find After Effects CS6 at
ECHO C:\Program Files\Adobe\Adobe After Effects CS6
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of After Effects installed.
ECHO.
ECHO 2. After Effect CS6 is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe After Effects CS6
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure After Effects was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
::
ERRORMSG5
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Premiere Pro CC at
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CC
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of Premiere installed.
ECHO.
ECHO 2. Premiere CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Premiere Pro CC
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Premiere was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
:ERRORMSG6
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find After Effects CC at
ECHO C:\Program Files\Adobe\Adobe After Effects CC
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of After Effects installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe After Effects CC
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe After Effects was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
:ERRORMSG7
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe Media Encoder CC at
ECHO C:\Program Files\Adobe\Adobe Media Encoder CC
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of Media Encoder installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Media Encoder CC
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Media Encoder was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::
:ERRORMSG8
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe SpeedGrader CC at
ECHO C:\Program Files\Adobe\Adobe SpeedGrade CC
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of SpeedGrade installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe SpeedGrader CC
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe SpeedGrade CC was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::----------------------------------------------------------------------------
::----------------------------------------------------------------------------
::
:ERRORMSG9
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO cuda_supported_cards.txt Did NOT update!!!
ECHO.
ECHO Rerun the program and
ECHO Make sure you RIGHT click on the program name
ECHO and select Run as Administrator
ECHO.
ECHO Make sure Adobe Premiere was NOT running when you ran this program.
ECHO.
ECHO. 
PAUSE
GOTO End
::----------------------------------------------------------------------------
::
::
ERRORMSG10
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Premiere Pro CC 2014 at
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CC 2014
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of Premiere installed.
ECHO.
ECHO 2. Premiere CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Premiere Pro CC 2014
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Premiere was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU

::
::----------------------------------------------------------------------------
::
:ERRORMSG11
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find After Effects CC 2014  at
ECHO C:\Program Files\Adobe\Adobe After Effects CC 2014
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of After Effects installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe After Effects CC 2014
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe After Effects was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::
::----------------------------------------------------------------------------
::
:ERRORMSG12
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe Media Encoder CC 2014 at
ECHO C:\Program Files\Adobe\Adobe Media Encoder CC 2014
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of Media Encoder installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Media Encoder CC 2014
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Media Encoder was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::
::----------------------------------------------------------------------------
::
:ERRORMSG13
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe SpeedGrader CC 2014 at
ECHO C:\Program Files\Adobe\Adobe SpeedGrade CC 2014
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of SpeedGrade installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe SpeedGrader CC 2014
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe SpeedGrade CC was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
::
::----------------------------------------------------------------------------
::
:ERRORMSG14
CLS
COLOR 47
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO The Program could NOT find Adobe Prelude CC 2014 at
ECHO C:\Program Files\Adobe\Adobe Prelude CC 2014
ECHO.
ECHO This means:
ECHO. 
ECHO 1. You have a different version of Prelude installed.
ECHO.
ECHO 2. After Effect CC is not installed in the default directory at
ECHO    C:\Program Files\Adobe\Adobe Prelude CC 2014
ECHO.
ECHO 3. Or, you did not run this program As Administrator
ECHO.
ECHO Make sure Adobe Prelude CC was NOT running when you ran this program.
ECHO. 
PAUSE
GOTO MENU
::
:: EXIT From Program
:END
EXIT

